StochasticCollocationInvCDF Class Reference

Stochastic collocation inverse cumulative distribution function. More...

`#include <ql/math/randomnumbers/stochasticcollocationinvcdf.hpp>`

## Public Types

typedef Real | argument_type
typedef Real | result_type

## Public Member Functions

| StochasticCollocationInvCDF (const ext::function< Real(Real)> &invCDF, Size lagrangeOrder, Real pMax=Null< Real >(), Real pMin=Null< Real >())
Real | value (Real x) const
Real | operator() (Real u) const

## Detailed Description

Stochastic collocation inverse cumulative distribution function.

References: L.A. Grzelak, J.A.S. Witteveen, M.Suárez-Taboada, C.W. Oosterlee, The Stochastic Collocation Monte Carlo Sampler: Highly efficient sampling from “expensive” distributions http://papers.ssrn.com/sol3/papers.cfm?abstract_id=2529691